umbrello: UMLAppPrivate Class Reference

umbrello 2.38.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Slots | Public Member Functions | Public Attributes | Private Member Functions | List of all members
UMLAppPrivate Class Reference

`#include <umlappprivate.h>`

Inheritance diagram for UMLAppPrivate:

## Public Slots
void | slotLogWindowItemDoubleClicked (QListWidgetItem *item)
void | createDiagramsWindow ()
void | createObjectsWindow ()
void | createStereotypesWindow ()
void | createWelcomeWindow ()
void | slotWelcomeWindowLinkClicked (const QUrl &url)

## Public Member Functions
| UMLAppPrivate (UMLApp *_parent)
| ~UMLAppPrivate ()
bool | openFileInEditor (const QUrl &file, int startCursor=0, int endCursor=0)

## Public Attributes
UMLApp * | parent
FindDialog | findDialog
FindResults | findResults
QListWidget * | logWindow
| Logging window.
KToggleAction * | viewDiagramsWindow
KToggleAction * | viewObjectsWindow
KToggleAction * | viewStereotypesWindow
KToggleAction * | viewWelcomeWindow
DiagramsWindow * | diagramsWindow
ObjectsWindow * | objectsWindow
StereotypesWindow * | stereotypesWindow
QDockWidget * | welcomeWindow
QDockWidget * | editorWindow
KTextEditor::Editor * | editor
KTextEditor::View * | view
KTextEditor::Document * | document

## Private Member Functions
QString | findWelcomeFile ()
QString | readWelcomeFile (const QString &file)

## Detailed Description

Class UMLAppPrivate holds private class members/methods to reduce the size of the public class and to speed up recompiling. The migration to this class is not complete yet.

## Constructor & Destructor Documentation

## ◆ UMLAppPrivate()

UMLAppPrivate::UMLAppPrivate | ( | UMLApp * | _parent | ) |
| inlineexplicit

## ◆ ~UMLAppPrivate()

UMLAppPrivate::~UMLAppPrivate | ( |  | ) |
| inline

## Member Function Documentation

## ◆ createDiagramsWindow

void UMLAppPrivate::createDiagramsWindow | ( |  | ) |
| inlineslot

## ◆ createObjectsWindow

void UMLAppPrivate::createObjectsWindow | ( |  | ) |
| inlineslot

## ◆ createStereotypesWindow

void UMLAppPrivate::createStereotypesWindow | ( |  | ) |
| inlineslot

## ◆ createWelcomeWindow

void UMLAppPrivate::createWelcomeWindow | ( |  | ) |
| inlineslot

## ◆ findWelcomeFile()

QString UMLAppPrivate::findWelcomeFile | ( |  | ) |
| private

Find welcome.html file for displaying in the welcome window.

Returns
  path to welcome file or empty if not found

## ◆ openFileInEditor()

bool UMLAppPrivate::openFileInEditor | ( | const QUrl & | file,
|  | int | startCursor = `0`,
|  | int | endCursor = `0`
| ) |  |

## ◆ readWelcomeFile()

QString UMLAppPrivate::readWelcomeFile | ( | const QString & | file | ) |
| private

Read welcome file for displaying in the welcome window.

This method also patches out some unrelated stuff from the html file intended or being displayed with khelpcenter.

Returns
  html content of welcome file

## ◆ slotLogWindowItemDoubleClicked

void UMLAppPrivate::slotLogWindowItemDoubleClicked | ( | QListWidgetItem * | item | ) |
| inlineslot

## ◆ slotWelcomeWindowLinkClicked

void UMLAppPrivate::slotWelcomeWindowLinkClicked | ( | const QUrl & | url | ) |
| inlineslot

## Member Data Documentation

## ◆ diagramsWindow

DiagramsWindow* UMLAppPrivate::diagramsWindow

## ◆ document

KTextEditor::Document* UMLAppPrivate::document

## ◆ editor

KTextEditor::Editor* UMLAppPrivate::editor

## ◆ editorWindow

QDockWidget* UMLAppPrivate::editorWindow

## ◆ findDialog

FindDialog UMLAppPrivate::findDialog

## ◆ findResults

FindResults UMLAppPrivate::findResults

## ◆ logWindow

QListWidget* UMLAppPrivate::logWindow

Logging window.

## ◆ objectsWindow

ObjectsWindow* UMLAppPrivate::objectsWindow

## ◆ parent

UMLApp* UMLAppPrivate::parent

## ◆ stereotypesWindow

StereotypesWindow* UMLAppPrivate::stereotypesWindow

## ◆ view

KTextEditor::View* UMLAppPrivate::view

## ◆ viewDiagramsWindow

KToggleAction* UMLAppPrivate::viewDiagramsWindow

## ◆ viewObjectsWindow

KToggleAction* UMLAppPrivate::viewObjectsWindow

## ◆ viewStereotypesWindow

KToggleAction* UMLAppPrivate::viewStereotypesWindow

## ◆ viewWelcomeWindow

KToggleAction* UMLAppPrivate::viewWelcomeWindow

## ◆ welcomeWindow

QDockWidget* UMLAppPrivate::welcomeWindow

The documentation for this class was generated from the following files:

- umbrello/umlappprivate.h
- umbrello/umlappprivate.cpp